/*--------------------------------------------------------------------------
 * solveqp.h - definitions/declarations for quadratic programming
 *
 *       (C) Jurgen Doornik 2001
 *
 *--------------------------------------------------------------------------*/

#ifndef SOLVEQP_INCLUDED
#define SOLVEQP_INCLUDED

SolveQPE(const mG, const vG, const mA, const vB);
SolveQPIF(vX, const mG, const vG, const mA, const vB,
	const vLo, const vHi, eps, maxit);
SolveQPI(const mG, const vG, const mA, const vB, const vLo, const vHi);
PreprocessLC(mA, vB, vLo, vHi, const fBoundsOnly);
SolveQP(const mG, const vG, const mA, const vB, const mC, const vD, const vLo, const vHi);

#endif /* SOLVEQP_INCLUDED */
